Changeset 123785


Ignore:
Timestamp:
Aug 14, 2014, 2:55:05 PM (5 years ago)
Author:
mojca@…
Message:

p5-alien-wxwidgets: only add module-pluggable as a dependency in 5.20 or later

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/perl/p5-alien-wxwidgets/Portfile

    r123777 r123785  
    2929if {${perl5.major} != ""} {
    3030    wxWidgets.use       wxWidgets-3.0
     31    depends_lib-append  port:${wxWidgets.port}
     32
    3133    # module-pluggable has been removed from Perl core in version 5.20
    32     depends_lib-append  port:${wxWidgets.port} \
     34    if {[vercmp ${perl5.major} 5.20] >= 0} {
     35        depends_lib-append \
    3336                        port:p${perl5.major}-module-pluggable
     37    }
    3438
    3539    # author says that Makefile.PL shouldn't be there
Note: See TracChangeset for help on using the changeset viewer.